//
// pfind.h
//


///////
//
// defines
//

//
// YES, and NO for clarity in function returns
//
#define	YES	1
#define	NO	0

//
// Flag types for identifying items in flagTable
//
#define INPUTFLAG    1
#define OUTPUTFLAG   2
#define CONTROLFLAG  3
#define LOCALFLAG    4

//
// Error handling for fatal errors
//
#define oops(errStr)  { perror(errStr); exit(1); }


///////
//
// Includes
//
#include    <stdio.h>
#include    <sys/types.h>
#include    <sys/stat.h>
#include    <dirent.h>
#include    <stdlib.h>
#include    <string.h>
#include    <termios.h>


///////
//
// structs
//
struct flagTable {char *attribute; 
                  int   theValue; 
                  int   flagType; 
                  char *decription; };
struct keyTable  {char *attribute; 
                  int   theValue; };

///////
//
//  predefines
//
//     predefine all functions for smooth compile
//
int        flagIndex( char           *myString );
int         keyIndex( char           *myString );
void         setFlag( struct termios *info, 
                      int             myIndex,
                      int             switchIs );
int         getAscii( char           *str    );
void displaySettings( struct termios *info     );
void        showbaud( int             thespeed );
void       printFlag( struct termios *ttyp,
                      char           *flagName,
                      int             flagType,
                      int             theFlag  );
void      printASCII( int             myAscii  );

// from myLib.c
void           fatal( char           *errStr   );
